<back to all web services

RetryTranslation

The following routes are available for this service:
POST/RestApi/translations/retry
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations;
using Telerik.Sitefinity.Translations.Model;

namespace Telerik.Sitefinity.Translations.Model
{
    public enum TranslationStatus
    {
        Marked = 101,
        Sending = 201,
        Sent = 202,
        Received = 301,
        Importing = 302,
        Imported = 303,
        Completed = 304,
        Archived = 401,
        Deleted = 402,
        Rejected = 403,
        SendingError = 501,
        ImportingError = 502,
        ReceivingError = 503,
    }

}

namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations
{
    public partial class RetryTranslation
    {
        public virtual TranslationStatus TranslationStatus { get; set; }
        public virtual Guid[] Ids { get; set; }
        public virtual bool ChangedFieldsOnly { get; set; }
    }

}

C# RetryTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/retry HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"TranslationStatus":"Marked","Ids":["00000000-0000-0000-0000-000000000000"],"ChangedFieldsOnly":false}